## org.eclipse.m2m.atl.engine.emfvm.lib
Interface LibExtension

All Known Implementing Classes:
  ASMString

    public interface LibExtension

The Extension interface.

Method Summary
`void` `apply(ExecEnv execEnv, java.util.Map<java.lang.String,java.lang.Object> options)` Apply the extension.

Method Detail

### apply

    void apply(ExecEnv execEnv,
               java.util.Map<java.lang.String,java.lang.Object> options)

  Apply the extension.

  Parameters:
    `execEnv` - the execution environment
    `options` - the options map

Copyright 2007 IBM Corporation and others. All Rights Reserved.